import { Stack } from 'aws-cdk-lib';
import { Role } from 'aws-cdk-lib/aws-iam';
import { RemoteParameters } from './remote-parameters';
import { Construct } from 'constructs';
export declare class CrossRegionStackImport extends Construct {
    exporter: CrossRegionStackExport;
    parameters: RemoteParameters;
    constructor(scope: Construct, id: string, fromExporter: CrossRegionStackExport, roleArn: string, alwaysUpdate?: boolean);
    getValue(stackExport: string): string;
}
export declare class CrossRegionStackExport extends Construct {
    parameterPath: string;
    sourceStack: Stack;
    constructor(scope: Construct, id: string);
    getParameterName(stackExport: string): string;
    setValue(id: string, value: string): void;
    private roleCache;
    getReadOnlyRole(account: string): Role;
    getImporter(scope: Construct, id: string, alwaysUpdate?: boolean): CrossRegionStackImport;
}
